<?php

/**
 * Template
 *
 * @author 		Affilae
 * @package 	WC_Affilae/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
?>


<script type="text/javascript" defer>
	window.addEventListener('load', function() {
		var aeEvent = {};

		<?php
		foreach ($rules as $rule) { ?>
			aeEvent = {};
			aeEvent.key = '<?php echo $rule['code']; ?>';
			aeEvent.Conversion = {};

			aeEvent.Conversion.id = '<?php echo $order_id; ?>';
			aeEvent.Conversion.amount = '<?php echo $rule['amount']; ?>';
			aeEvent.Conversion.payment = '<?php echo $payment; ?>';
			aeEvent.Conversion.voucher = '<?php echo $voucher; ?>';
			aeEvent.Conversion.subid = '';
			aeEvent.Conversion.customer = '<?php echo $customer_id; ?>';
			aeEvent.Conversion.currency = '<?php echo $currency_code; ?>';
            aeEvent.Conversion.product = '<?php echo $product; ?>';

			('AeTracker' in window) ? AeTracker.sendConversion(aeEvent): (window.AE = window.AE || []).push(aeEvent);
		<?php
		}
		?>
	});
</script>
